Schedule
Get apiv2organizations schedulehost settings
GET
/
api
/
v2
/
organizations
/
{orgId}
/
schedule
/
host-settings
cURL
curl --request GET \
--url https://api.example.com/api/v2/organizations/{orgId}/schedule/host-settingsimport requests
url = "https://api.example.com/api/v2/organizations/{orgId}/schedule/host-settings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/organizations/{orgId}/schedule/host-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v2/organizations/{orgId}/schedule/host-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v2/organizations/{orgId}/schedule/host-settings"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v2/organizations/{orgId}/schedule/host-settings")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v2/organizations/{orgId}/schedule/host-settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"viewerId": "<string>",
"isOwner": true,
"targetUserId": "<string>",
"members": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
],
"host": {
"id": "<string>",
"organization_id": "<string>",
"user_id": "<string>",
"timezone": "<string>",
"removed_at": "<string>",
"created_at": "<string>"
},
"schedules": [
{
"id": "<string>",
"organization_id": "<string>",
"host_id": "<string>",
"name": "<string>",
"is_default": true,
"created_at": "<string>",
"availability_rule": [
{
"id": "<string>",
"schedule_id": "<string>",
"weekday": 123,
"start_time": "<string>",
"end_time": "<string>"
}
],
"availability_override": [
{
"id": "<string>",
"schedule_id": "<string>",
"date": "<string>",
"start_time": "<string>",
"end_time": "<string>"
}
]
}
],
"eventTypes": [
{
"id": "<string>",
"organization_id": "<string>",
"host_id": "<string>",
"schedule_id": "<string>",
"title": "<string>",
"description": "<string>",
"duration_minutes": 123,
"buffer_before_minutes": 123,
"buffer_after_minutes": 123,
"minimum_notice_minutes": 123,
"max_days_ahead": 123,
"location_kind": "phone",
"location_value": "<string>",
"meeting_provider": "fake",
"archived_at": "<string>",
"created_at": "<string>"
}
],
"meetingProviders": [
"fake"
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Path Parameters
Query Parameters
Response
The caller's host settings, or member's when the caller owns the organization
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
fake, microsoft_teams, google_meet ⌘I
cURL
curl --request GET \
--url https://api.example.com/api/v2/organizations/{orgId}/schedule/host-settingsimport requests
url = "https://api.example.com/api/v2/organizations/{orgId}/schedule/host-settings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/organizations/{orgId}/schedule/host-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v2/organizations/{orgId}/schedule/host-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v2/organizations/{orgId}/schedule/host-settings"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v2/organizations/{orgId}/schedule/host-settings")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v2/organizations/{orgId}/schedule/host-settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"viewerId": "<string>",
"isOwner": true,
"targetUserId": "<string>",
"members": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
],
"host": {
"id": "<string>",
"organization_id": "<string>",
"user_id": "<string>",
"timezone": "<string>",
"removed_at": "<string>",
"created_at": "<string>"
},
"schedules": [
{
"id": "<string>",
"organization_id": "<string>",
"host_id": "<string>",
"name": "<string>",
"is_default": true,
"created_at": "<string>",
"availability_rule": [
{
"id": "<string>",
"schedule_id": "<string>",
"weekday": 123,
"start_time": "<string>",
"end_time": "<string>"
}
],
"availability_override": [
{
"id": "<string>",
"schedule_id": "<string>",
"date": "<string>",
"start_time": "<string>",
"end_time": "<string>"
}
]
}
],
"eventTypes": [
{
"id": "<string>",
"organization_id": "<string>",
"host_id": "<string>",
"schedule_id": "<string>",
"title": "<string>",
"description": "<string>",
"duration_minutes": 123,
"buffer_before_minutes": 123,
"buffer_after_minutes": 123,
"minimum_notice_minutes": 123,
"max_days_ahead": 123,
"location_kind": "phone",
"location_value": "<string>",
"meeting_provider": "fake",
"archived_at": "<string>",
"created_at": "<string>"
}
],
"meetingProviders": [
"fake"
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}